[GET] ~/lms/leads/bytoken?accessToken={accessToken}

Returns lead information. The lead is identified by the provided . The will only be accepted once, repeated usage will return null values.

Request Information

URI Parameters

NameDescriptionType
accessToken

The access token.

string

This value is required and must not be omitted.

Body Parameters

None.

Request Formats

None.

Response Information

Resource Description

A task that represents the asynchronous get lead contact information operation.

An instance of: LeadCodeInfo
NameDescriptionType
AccessToken

Gets or sets the access token.

LeadAccessToken

VehicleId

Gets or sets the identifier of the vehicle.

integer

HasContactInfo

Gets or sets a value indicating whether this has contact information.

boolean

HasContactInfoEmail

Gets or sets a value indicating whether this has contact information email.

boolean

HasContactInfoMobilePhone

Gets or sets a value indicating whether this has contact information mobile phone.

boolean

Response Formats

application/json, text/json

Sample:
{
  "accessToken": {
    "code": "sample string 1",
    "expiration": "2026-03-18T20:53:26.9712708+01:00"
  },
  "vehicleId": 1,
  "hasContactInfo": true,
  "hasContactInfoEmail": true,
  "hasContactInfoMobilePhone": true
}